Bug 1538688 - 'hammer ping' can erroneously say foreman-tasks is down when its just busy
Summary: 'hammer ping' can erroneously say foreman-tasks is down when its just busy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.2.13
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Jan Hutař
URL:
Whiteboard:
: 1588779 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 14:59 UTC by Chris Duryee
Modified: 2019-10-07 17:37 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:04 UTC
Foreman Issue Tracker 23926 None None None 2018-06-13 19:55:45 UTC
Red Hat Bugzilla 1420651 None CLOSED foreman-tasks startup returns quickly, but "hammer ping" shows failed state until startup is complete 2019-10-17 01:18:36 UTC

Internal Links: 1420651

Description Chris Duryee 2018-01-25 14:59:33 UTC
Description of problem:

If you run 'hammer ping' on a busy system, foreman-tasks may show as being dead if it is busy processing lots of tasks. This can result in confusion.


Version-Release number of selected component (if applicable): 6.2.13

How reproducible: intermittent

Steps to Reproduce:
1. create a lot of tasks, for example lots of package profile uploads
2. check hammer ping frequently

Actual results: hammer ping will occasionally time out after 2 seconds and show 'FAIL' for foreman-tasks


Expected results: hammer ping only fails for foreman-tasks if something requires user intervention.


Additional info: This might be similar to https://bugzilla.redhat.com/show_bug.cgi?id=1420651 but I am not sure if it's the same root cause.

Comment 2 Ivan Necas 2018-06-13 19:48:07 UTC
*** Bug 1588779 has been marked as a duplicate of this bug. ***

Comment 3 Ivan Necas 2018-06-13 19:55:42 UTC
Created redmine issue http://projects.theforeman.org/issues/23926 from this bug

Comment 4 pm-sat@redhat.com 2018-07-02 12:13:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23926 has been resolved.

Comment 11 errata-xmlrpc 2019-05-14 12:36:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.